Package: groovy.org.codenarc.rule.generic

## [Groovy] Class IllegalClassReferenceRule

- groovy.org.codenarc.rule.generic.IllegalClassReferenceRule

- Checks for reference to any of the named classes.

  The `classNames` property specifies the comma-separated list of (fully-qualified) class names to check for. The class name(s) may optionally include wildcard characters ('*' or '?'). Note that the '*' wildcard matches any sequence of zero or more characters in the class/package name, e.g. 'a.*.MyClass' matches 'a.b.MyClass' as well as 'a.b.c.d.MyClass'. If `classNames` is null or empty, do nothing. Known limitation: Does not catch references as Anonymous Inner class: def x = new org.bad.Handler() { .. }
  Authors:
    Chris Mair

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `classNames`
    `String` | `name`
    `int` | `priority`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `AstVisitor` | `getAstVisitor()`
    `` | `boolean` | `isReady()`

- - ### Property Detail

    - #### String classNames

    - #### String name

    - #### int priority

  - ### Method Detail

    - #### @Override AstVisitor getAstVisitor()

    - #### @Override boolean isReady()